@file:OptIn(InternalResourceApi::class)

package world.respect.shared.generated.resources

import kotlin.OptIn
import kotlin.String
import kotlin.collections.MutableMap
import org.jetbrains.compose.resources.InternalResourceApi
import org.jetbrains.compose.resources.ResourceItem
import org.jetbrains.compose.resources.StringResource

private const val MD: String = "composeResources/world.respect.shared.generated.resources/"

public val Res.string.sign_up_with_passkey: StringResource by lazy {
      StringResource("string:sign_up_with_passkey", "sign_up_with_passkey", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 19973, 60),
      ))
    }

public val Res.string.sign_up_with_password: StringResource by lazy {
      StringResource("string:sign_up_with_password", "sign_up_with_password", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20034, 61),
      ))
    }

public val Res.string.signing_in: StringResource by lazy {
      StringResource("string:signing_in", "signing_in", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20124, 34),
      ))
    }

public val Res.string.signup_with_passkey: StringResource by lazy {
      StringResource("string:signup_with_passkey", "signup_with_passkey", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20159, 55),
      ))
    }

public val Res.string.simple_learning: StringResource by lazy {
      StringResource("string:simple_learning", "simple_learning", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20215, 35),
      ))
    }

public val Res.string.site_administrator: StringResource by lazy {
      StringResource("string:site_administrator", "site_administrator", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20251, 50),
      ))
    }

public val Res.string.something_went_wrong: StringResource by lazy {
      StringResource("string:something_went_wrong", "something_went_wrong", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20302, 56),
      ))
    }

public val Res.string.something_wrong_with_invite: StringResource by lazy {
      StringResource("string:something_wrong_with_invite", "something_wrong_with_invite", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20359, 119),
      ))
    }

public val Res.string.sort_by: StringResource by lazy {
      StringResource("string:sort_by", "sort_by", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20479, 27),
      ))
    }

public val Res.string.sql: StringResource by lazy {
      StringResource("string:sql", "sql", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20507, 15),
      ))
    }

public val Res.string.start_date_label: StringResource by lazy {
      StringResource("string:start_date_label", "start_date_label", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20523, 40),
      ))
    }

public val Res.string.student: StringResource by lazy {
      StringResource("string:student", "student", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20670, 27),
      ))
    }

public val Res.string.students: StringResource by lazy {
      StringResource("string:students", "students", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20641, 28),
      ))
    }

public val Res.string.students_register_themselves: StringResource by lazy {
      StringResource("string:students_register_themselves", "students_register_themselves", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20564, 76),
      ))
    }

public val Res.string.subgroup_by: StringResource by lazy {
      StringResource("string:subgroup_by", "subgroup_by", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20698, 35),
      ))
    }

public val Res.string.subject: StringResource by lazy {
      StringResource("string:subject", "subject", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20734, 27),
      ))
    }

public val Res.string.successfully_registered_school: StringResource by lazy {
      StringResource("string:successfully_registered_school", "successfully_registered_school", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20762, 98),
      ))
    }

public val Res.string.supported_by: StringResource by lazy {
      StringResource("string:supported_by", "supported_by", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20938, 40),
      ))
    }

public val Res.string.supported_by_spix_foundation: StringResource by lazy {
      StringResource("string:supported_by_spix_foundation", "supported_by_spix_foundation", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20861, 76),
      ))
    }

public val Res.string.system_administrator: StringResource by lazy {
      StringResource("string:system_administrator", "system_administrator", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 20979, 56),
      ))
    }

public val Res.string.take_new_photo_from_camera: StringResource by lazy {
      StringResource("string:take_new_photo_from_camera", "take_new_photo_from_camera", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21036, 70),
      ))
    }

public val Res.string.task_completion_percentage: StringResource by lazy {
      StringResource("string:task_completion_percentage", "task_completion_percentage", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21107, 74),
      ))
    }

public val Res.string.teacher: StringResource by lazy {
      StringResource("string:teacher", "teacher", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21271, 27),
      ))
    }

public val Res.string.teacher_admin_login: StringResource by lazy {
      StringResource("string:teacher_admin_login", "teacher_admin_login", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21182, 59),
      ))
    }

public val Res.string.teachers: StringResource by lazy {
      StringResource("string:teachers", "teachers", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21242, 28),
      ))
    }

public val Res.string.terms_and_conditions: StringResource by lazy {
      StringResource("string:terms_and_conditions", "terms_and_conditions", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21299, 56),
      ))
    }

public val Res.string.textbooks: StringResource by lazy {
      StringResource("string:textbooks", "textbooks", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21356, 29),
      ))
    }

public val Res.string.time: StringResource by lazy {
      StringResource("string:time", "time", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21481, 20),
      ))
    }

public val Res.string.time_of_day: StringResource by lazy {
      StringResource("string:time_of_day", "time_of_day", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21386, 59),
      ))
    }

public val Res.string.time_range: StringResource by lazy {
      StringResource("string:time_range", "time_range", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21446, 34),
      ))
    }

public val Res.string.title: StringResource by lazy {
      StringResource("string:title", "title", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21502, 21),
      ))
    }

public val Res.string.to_: StringResource by lazy {
      StringResource("string:to_", "to_", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21524, 15),
      ))
    }

public val Res.string.toggle_visibility: StringResource by lazy {
      StringResource("string:toggle_visibility", "toggle_visibility", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21540, 49),
      ))
    }

public val Res.string.top_5_apps: StringResource by lazy {
      StringResource("string:top_5_apps", "top_5_apps", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21590, 34),
      ))
    }

public val Res.string.top_5_languages: StringResource by lazy {
      StringResource("string:top_5_languages", "top_5_languages", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21625, 43),
      ))
    }

public val Res.string.top_5_lessons: StringResource by lazy {
      StringResource("string:top_5_lessons", "top_5_lessons", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21669, 41),
      ))
    }

public val Res.string.top_5_schools: StringResource by lazy {
      StringResource("string:top_5_schools", "top_5_schools", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21711, 41),
      ))
    }

public val Res.string.top_5_students: StringResource by lazy {
      StringResource("string:top_5_students", "top_5_students", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21753, 42),
      ))
    }

public val Res.string.total_content_usage_duration: StringResource by lazy {
      StringResource("string:total_content_usage_duration", "total_content_usage_duration", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21796, 76),
      ))
    }

public val Res.string.total_duration: StringResource by lazy {
      StringResource("string:total_duration", "total_duration", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21873, 42),
      ))
    }

public val Res.string.total_score: StringResource by lazy {
      StringResource("string:total_score", "total_score", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21916, 35),
      ))
    }

public val Res.string.try_again: StringResource by lazy {
      StringResource("string:try_again", "try_again", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21952, 29),
      ))
    }

public val Res.string.try_it: StringResource by lazy {
      StringResource("string:try_it", "try_it", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 21982, 22),
      ))
    }

public val Res.string.unit: StringResource by lazy {
      StringResource("string:unit", "unit", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22005, 20),
      ))
    }

public val Res.string.unknown_error: StringResource by lazy {
      StringResource("string:unknown_error", "unknown_error", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22026, 41),
      ))
    }

public val Res.string.unspecified: StringResource by lazy {
      StringResource("string:unspecified", "unspecified", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22068, 35),
      ))
    }

public val Res.string.untitled_report: StringResource by lazy {
      StringResource("string:untitled_report", "untitled_report", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22104, 43),
      ))
    }

public val Res.string.url: StringResource by lazy {
      StringResource("string:url", "url", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22148, 15),
      ))
    }

public val Res.string.userId_placeholder: StringResource by lazy {
      StringResource("string:userId_placeholder", "userId_placeholder", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22164, 58),
      ))
    }

public val Res.string.user_role: StringResource by lazy {
      StringResource("string:user_role", "user_role", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22223, 57),
      ))
    }

public val Res.string.username_label: StringResource by lazy {
      StringResource("string:username_label", "username_label", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22281, 34),
      ))
    }

public val Res.string.username_starts_with_number: StringResource by lazy {
      StringResource("string:username_starts_with_number", "username_starts_with_number", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22316, 83),
      ))
    }

public val Res.string.username_too_long: StringResource by lazy {
      StringResource("string:username_too_long", "username_too_long", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22400, 81),
      ))
    }

public val Res.string.username_too_short: StringResource by lazy {
      StringResource("string:username_too_short", "username_too_short", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22482, 78),
      ))
    }

public val Res.string.`value`: StringResource by lazy {
      StringResource("string:value", "value", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22561, 21),
      ))
    }

public val Res.string.waiting_for_approval_to_join: StringResource by lazy {
      StringResource("string:waiting_for_approval_to_join", "waiting_for_approval_to_join", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22583, 80),
      ))
    }

public val Res.string.waiting_title: StringResource by lazy {
      StringResource("string:waiting_title", "waiting_title", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22664, 49),
      ))
    }

public val Res.string.weekly: StringResource by lazy {
      StringResource("string:weekly", "weekly", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22714, 22),
      ))
    }

public val Res.string.weeks: StringResource by lazy {
      StringResource("string:weeks", "weeks", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22737, 21),
      ))
    }

public val Res.string.x_axis: StringResource by lazy {
      StringResource("string:x_axis", "x_axis", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22759, 22),
      ))
    }

public val Res.string.y_axis: StringResource by lazy {
      StringResource("string:y_axis", "y_axis", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22782, 22),
      ))
    }

public val Res.string.year: StringResource by lazy {
      StringResource("string:year", "year", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22850, 20),
      ))
    }

public val Res.string.yearly: StringResource by lazy {
      StringResource("string:yearly", "yearly", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22805, 22),
      ))
    }

public val Res.string.years: StringResource by lazy {
      StringResource("string:years", "years", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22828, 21),
      ))
    }

public val Res.string.your_dob_label: StringResource by lazy {
      StringResource("string:your_dob_label", "your_dob_label", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22871, 46),
      ))
    }

public val Res.string.your_gender_label: StringResource by lazy {
      StringResource("string:your_gender_label", "your_gender_label", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22918, 41),
      ))
    }

public val Res.string.your_name_label: StringResource by lazy {
      StringResource("string:your_name_label", "your_name_label", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22960, 35),
      ))
    }

public val Res.string.your_note: StringResource by lazy {
      StringResource("string:your_note", "your_note", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 22996, 69),
      ))
    }

public val Res.string.your_profile_title: StringResource by lazy {
      StringResource("string:your_profile_title", "your_profile_title", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 23066, 42),
      ))
    }

@InternalResourceApi
internal fun _collectCommonMainString4Resources(map: MutableMap<String, StringResource>) {
  map.put("sign_up_with_passkey", Res.string.sign_up_with_passkey)
  map.put("sign_up_with_password", Res.string.sign_up_with_password)
  map.put("signing_in", Res.string.signing_in)
  map.put("signup_with_passkey", Res.string.signup_with_passkey)
  map.put("simple_learning", Res.string.simple_learning)
  map.put("site_administrator", Res.string.site_administrator)
  map.put("something_went_wrong", Res.string.something_went_wrong)
  map.put("something_wrong_with_invite", Res.string.something_wrong_with_invite)
  map.put("sort_by", Res.string.sort_by)
  map.put("sql", Res.string.sql)
  map.put("start_date_label", Res.string.start_date_label)
  map.put("student", Res.string.student)
  map.put("students", Res.string.students)
  map.put("students_register_themselves", Res.string.students_register_themselves)
  map.put("subgroup_by", Res.string.subgroup_by)
  map.put("subject", Res.string.subject)
  map.put("successfully_registered_school", Res.string.successfully_registered_school)
  map.put("supported_by", Res.string.supported_by)
  map.put("supported_by_spix_foundation", Res.string.supported_by_spix_foundation)
  map.put("system_administrator", Res.string.system_administrator)
  map.put("take_new_photo_from_camera", Res.string.take_new_photo_from_camera)
  map.put("task_completion_percentage", Res.string.task_completion_percentage)
  map.put("teacher", Res.string.teacher)
  map.put("teacher_admin_login", Res.string.teacher_admin_login)
  map.put("teachers", Res.string.teachers)
  map.put("terms_and_conditions", Res.string.terms_and_conditions)
  map.put("textbooks", Res.string.textbooks)
  map.put("time", Res.string.time)
  map.put("time_of_day", Res.string.time_of_day)
  map.put("time_range", Res.string.time_range)
  map.put("title", Res.string.title)
  map.put("to_", Res.string.to_)
  map.put("toggle_visibility", Res.string.toggle_visibility)
  map.put("top_5_apps", Res.string.top_5_apps)
  map.put("top_5_languages", Res.string.top_5_languages)
  map.put("top_5_lessons", Res.string.top_5_lessons)
  map.put("top_5_schools", Res.string.top_5_schools)
  map.put("top_5_students", Res.string.top_5_students)
  map.put("total_content_usage_duration", Res.string.total_content_usage_duration)
  map.put("total_duration", Res.string.total_duration)
  map.put("total_score", Res.string.total_score)
  map.put("try_again", Res.string.try_again)
  map.put("try_it", Res.string.try_it)
  map.put("unit", Res.string.unit)
  map.put("unknown_error", Res.string.unknown_error)
  map.put("unspecified", Res.string.unspecified)
  map.put("untitled_report", Res.string.untitled_report)
  map.put("url", Res.string.url)
  map.put("userId_placeholder", Res.string.userId_placeholder)
  map.put("user_role", Res.string.user_role)
  map.put("username_label", Res.string.username_label)
  map.put("username_starts_with_number", Res.string.username_starts_with_number)
  map.put("username_too_long", Res.string.username_too_long)
  map.put("username_too_short", Res.string.username_too_short)
  map.put("value", Res.string.`value`)
  map.put("waiting_for_approval_to_join", Res.string.waiting_for_approval_to_join)
  map.put("waiting_title", Res.string.waiting_title)
  map.put("weekly", Res.string.weekly)
  map.put("weeks", Res.string.weeks)
  map.put("x_axis", Res.string.x_axis)
  map.put("y_axis", Res.string.y_axis)
  map.put("year", Res.string.year)
  map.put("yearly", Res.string.yearly)
  map.put("years", Res.string.years)
  map.put("your_dob_label", Res.string.your_dob_label)
  map.put("your_gender_label", Res.string.your_gender_label)
  map.put("your_name_label", Res.string.your_name_label)
  map.put("your_note", Res.string.your_note)
  map.put("your_profile_title", Res.string.your_profile_title)
}
